#ifndef _NINPUT_H_
#define _NINPUT_H_

#include "yatlflAll.h"

#include <FL/Fl_Input.h>

// redef from Fl_Input_.cxx
#define ctrl(x) ((x)^0x40)
#define NORMAL_INPUT_MOVE 0

namespace yatl
{
  namespace fl
  {
    class _ninput: public Fl_Input
    {
      public:
        _ninput(int x,int y,int w,int h,char *l=0);

        int _ninput::handle(int event);

      protected:
        int handle_key();

        // redef from Fl_Input_.cxx
        int shift_position(int p);
        int shift_up_down_position(int p);
    };
  };
};

#endif